%define upstream_name    WWW-Mailman
%define upstream_version 1.061

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Interact with Mailman's web interface from a Perl program
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(WWW::Mechanize)
BuildArch: noarch

%description
'WWW::Mailman' is a module to control *Mailman* (as a subscriber, moderator
or administrator) without the need of a web browser.

The module handles authentication transparently and can take advantage of
stored cookies to speed it up.

It is meant as a building block for your own Mailman-managing scripts, and
will include more routines in the future.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.yml README META.json eg
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.61.0-4.mga8
+ Revision: 1506930
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.61.0-3.mga7
+ Revision: 1287163
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.61.0-2.mga7
+ Revision: 1167352
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 1.61.0-1.mga7
+ Revision: 1157311
- new bersion 1.061

* Sun Jun 19 2016 pterjan <pterjan> 1.60.0-2.mga6
+ Revision: 1035731
- Rebuild for perl 5.22.2

* Mon Jan 18 2016 shlomif <shlomif> 1.60.0-1.mga6
+ Revision: 925426
- imported package perl-WWW-Mailman


* Mon Jan 18 2016 cpan2dist 1.06-1mga
- initial mageia release, generated with cpan2dist
